// articulos.h - Declaración de la clase CArticulos
#if !defined( _ARTICULOS_H_ )
#define _ARTICULOS_H_

#include <fstream>

/////////////////////////////////////////////////////////////////
// clase base de datos
class CArticulos : private std::fstream
{
  private:
    int modo; // 1 = leer, 2 = añadir
  public:
    CArticulos();
    ~CArticulos();
    void Nuevo(std::string&); // crear un fichero
    void Abrir(std::string&); // abrir un fichero
    void Agregar(); // añadir registros al fichero
    float Buscar(std::string&); // buscar un registro
    bool Existe(std::string&);  // true si el fichero existe
    int Modo() { return modo; }
};
#endif // _ARTICULOS_H_
/////////////////////////////////////////////////////////////////
